const data = {
  name: "分数微分",
  code: "frac",
  source: "frac",
  children: [
    {
      name: "分数 Fractions",
      source: "frac",
      children: [
        {
          output: "\\frac{a}{b} ",
          source: "frac",
        },
        {
          output: "x\\tfrac{a}{b}",
          source: "tfrac",
        },
        {
          output: "\\mathrm{d}t ",
          source: "dif",
        },
        {
          output: "\\frac{\\mathrm{d} y}{\\mathrm{d} x} ",
          source: "difa",
        },
        {
          output: "\\partial t ",
          source: "partial",
        },
        {
          output: "\\frac{\\partial y}{\\partial x} ",
          source: "partiala",
        },
        {
          output: "\\nabla\\psi",
          source: "nabla",
        },
        {
          output: "\\frac{\\partial^2}{\\partial x_1\\partial x_2}y ",
          source: "partialb",
        },
        {
          output: "\\cfrac{1}{a + \\cfrac{7}{b + \\cfrac{2}{9}}} =c ",
          source: "cfrac",
        },
        {
          output: `
\\begin{equation}
  x = a_0 + \\cfrac{1}{a_1 
          + \\cfrac{1}{a_2 
          + \\cfrac{1}{a_3 + \\cfrac{1}{a_4} } } }
\\end{equation}
          `,
          source: "cfraca",
        },
      ],
    },
    {
      name: "导数 Derivative",
      source: "der",
      children: [
        {
          output: "\\dot{a}",
          source: "dot",
        },
        {
          output: "\\ddot{a}",
          source: "ddot",
        },
        {
          output: "{f}'",
          source: "prime",
        },
        {
          output: "{f}'' ",
          source: "primea",
        },
        {
          output: "{f}^{(n)} ",
          source: "primen",
        },
      ],
    },
    {
      name: "模算术 Modular arithmetic",
      source: "mod",
      children: [
        {
          output: "a \\bmod b",
          source: "bmod",
        },
        {
          output: "a \\equiv b \\pmod{m}",
          source: "pmod",
        },
        {
          output: "\\gcd(m, n) ",
          source: "gcd",
        },
        {
          output: "\\operatorname{lcm}(m, n)",
          source: "lcm",
        },
      ],
    },
  ],
};

export default data;
